[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'TypInfo' (#rtl)

# TProcedureParam

Procedure parameter description

## Declaration

Source position: typinfo.pp line 289

`type TProcedureParam = packed record`
`public`
`property ParamType: PTypeInfo; [r]` |  | Type information for this parameter
`property Flags: Byte; [r]` |  | Flags for this parameter (see TParamFlags)
`ParamFlags: TParamFlags;`
`ParamTypeRef: PPTypeInfo;`
`Name: ShortString;` |  | Parameter name as in declaration.
``
`end;`

## Description

TProcedureParam describes a single parameter to a procedure (or function).